from django.urls import path
from . import views

app_name = 'teacherapp'

urlpatterns = [
    path('', views.teachers_dashboard, name='teachers_dashboard'),
    path('registration/', views.registration, name='registration'),
    # path('', views.login, name='login'),
    path('logout/', views.logout, name='logout'),
    path('profile/', views.profile, name='profile'),
    path('profile/reset_password/', views.reset_password, name='reset_password'),
    path('teachers/', views.teachers, name='teachers'),
    path('students/', views.students, name='students'),
    path('subjects_register/', views.subjects_register, name='subjects_register'),
    path('lectures_register/', views.lectures_register, name='lectures_register'),
    path('lectures_update/<int:id>', views.lectures_update, name='lectures_update'),
    path('lectures_list/', views.lectures_list, name='lectures_list'),
    path('lectures_list/teacher/', views.lectures_by_staff, name='lectures_by_teacher'),
]